jmarkov

## Class BucketBrigadesTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - jmarkov.BucketBrigadesTest

- All Implemented Interfaces:
    junit.framework.Test

      public class BucketBrigadesTest
      extends junit.framework.TestCase

  Author:
    Germán Riaño. Universidad de los Andes. (C) 2006

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BucketBrigadesTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testIdenticallExpo()` test BucketBrigades for identical expo servers
    `void` | `testIdenticallExpoBuff()` test BucketBuffers for identical expo servers
    `void` | `testIdenticalWorkers()` Compares the BB system with a CONWIP system results.
    `void` | `testIdenticalWorkersBuff()` Compares the BucketBuffers system with a CONWIP system results.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BucketBrigadesTest

          public BucketBrigadesTest()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` -

    - #### testIdenticallExpo

          public void testIdenticallExpo()
                                  throws NotUnichainException

      test BucketBrigades for identical expo servers
      Throws:
        `NotUnichainException`

    - #### testIdenticalWorkers

          public void testIdenticalWorkers()
                                    throws NotUnichainException

      Compares the BB system with a CONWIP system results. This requires identical exponential workers (but stations may differ).
      Throws:
        `NotUnichainException`

    - #### testIdenticallExpoBuff

          public void testIdenticallExpoBuff()
                                      throws NotUnichainException

      test BucketBuffers for identical expo servers
      Throws:
        `NotUnichainException`

    - #### testIdenticalWorkersBuff

          public void testIdenticalWorkersBuff()
                                        throws NotUnichainException

      Compares the BucketBuffers system with a CONWIP system results. This requires identical exponential workers (but stations may differ).
      Throws:
        `NotUnichainException`